<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag; ?>
<?php foreach($attributes->onlyProps([
'id' => '',
'label' => '',
'type' => 'text',
'classes' => 'form-control',
'value' => '',
'name' => '',
'col' => 'col-sm-12',
'required' => '0',
]) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
} ?>
<?php $attributes = $attributes->exceptProps([
'id' => '',
'label' => '',
'type' => 'text',
'classes' => 'form-control',
'value' => '',
'name' => '',
'col' => 'col-sm-12',
'required' => '0',
]); ?>
<?php foreach (array_filter(([
'id' => '',
'label' => '',
'type' => 'text',
'classes' => 'form-control',
'value' => '',
'name' => '',
'col' => 'col-sm-12',
'required' => '0',
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
} ?>
<?php $__defined_vars = get_defined_vars(); ?>
<?php foreach ($attributes as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
} ?>
<?php unset($__defined_vars); ?>
<div class="<?php echo e($col); ?>">
    <div class="mb-3 has-danger">
        <?php if($label!=''): ?>
        <label class="mb-1" for="<?php echo e($id == '' ? $name : $id); ?>"><?php echo e($label); ?> <?php echo $required==1 ? '<i
                class="text-danger">*</i>' : ''; ?></label>
        <?php endif; ?>
        <?php if($type=='textarea'): ?>
        <textarea <?php echo e($attributes); ?> class="<?php echo e($classes); ?> <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="<?php echo e($name); ?>"
            id="<?php echo e($id == '' ? $name : $id); ?>" rows="4"
            placeholder="<?php echo e($label); ?>..."><?php echo e($value ? $value : old($name)); ?></textarea>
        <?php else: ?>
        <input <?php echo e($attributes); ?> type="<?php echo e($type); ?>" class="<?php echo e($classes); ?> <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
            id="<?php echo e($id == '' ? $name : $id); ?>"
            value="<?php echo e(isset($_GET[$name]) ? $_GET[$name] : ( $value ? $value : old($name) )); ?>" name="<?php echo e($name); ?>"
            key="<?php echo e($name); ?>" placeholder="<?php echo e($label); ?>...">
        <?php endif; ?>
        <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
        <span class="form-control-feedback text-danger" role="alert">
            <strong><?php echo e($message); ?></strong>
        </span>
        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
</div><?php /**PATH D:\Laravel\mohe_library\resources\views/components/input.blade.php ENDPATH**/ ?>